安装最新版本的PHP或Apache中遇到的问题

PHP7发布已经有一段时间了,据说有一些比较好的改进,官方也说速度比php5.6快了两倍,性能上有了很大提升,并且也发布了从php5.x向php7迁移的问题,所以今后php网站迁移后能够大幅度的提升网站性能,所以为了尝试我也在电脑本地安装了PHP7.0的版本。

电脑本地安装的是wamp集成包,php还停留在5.2版本;我直接去wamp的官网下载了最新的wamp集成安装包,但是安装httpd时提示缺少vcruntime140.dll,多方查询尝试,终于找到了解决办法。

在Windows下运行最新版的Apache和php7都需要Visual C++Redistributable 2015,而之前的版本不需要那么高的,这个组件是运行Visual Studio 2015所建立的C++应用的必要组件,安装一次即可解决环境问题,那么去微软官网下载安装程序,安装一遍重启电脑即可。

下载地址:https://www.microsoft.com/en-US/download/details.aspx?id=48145

64位和32位两个都安上就可以。



最后,不要相信坑某度推荐的这条方法,完全没用,浪费时间!!!

阅读更多
个人分类: Apache php随记
上一篇laravel学习随记1
下一篇安装apache2.4版本中需要注意的问题(2)
想对作者说点什么? 我来说一句

没有更多推荐了,返回首页

关闭
关闭